Description
-----------
Campaign Kit allows you to create custom campaigns within your Drupal site (version 8 or higher).
Though there are many third-party services that perform similar functions, only when the code is running
on your site can you add custom functionality and a theme that exactly matches the rest of your site.

One way to extend Campaign Kit is via event subscribers when certain actions are triggered. Please see
the documentation for instructions.

Documentation
-------------
Find the documentation at:
https://performantlabs.com/campaign-kit/campaign-kit

Installation
------------
To install this module, you will require [Composer](https://getcomposer.org) on your system. See the instructions
at [Using Composer with Drupal](https://www.drupal.org/docs/develop/using-composer/using-composer-with-drupal).

On the command line, instruct Composer to add the module to your project:

```cd <project directory>```

```composer require drupal/campaign_kit```

Or, add the following to your project composer.json file with a text editor:

```"drupal/campaign_kit": "^1"```

Then run:
```composer update```

Composer will install all libraries and modules on which Campaign Kit depends. Installing Campaign Kit without Composer
is not recommended and is unsupported.

Enabling the Module
-------------------
Enable the module by choosing it from /admin/modules or use Drush:

```cd <project directory/web>```

```drush en -y campaign_kit```

Or, to work with some example data:
```drush en -y campaign_kit_demo```

Allow Drupal to enable all the dependent modules if you are asked.

Configuration
-------------
- To accepts donations, Campaign Kit works with the Payment Stripe module to process payments.
  Enable Payment Stripe modules and add a 'Stripe Payment' Payment Method in admin/config/services/payment/method/configuration-add).
- In admin/campaign_kit/configuration/edit, on 'Select Payment Method' field select the Payment Method added above.
- Add Publishable, Secret, and Webhook secret values (admin/config/stripe).

Running Tests
-------------
Campaign Kit comes with some Cypress tests that ensure the basic functionality is working. See the
README.txt in /cypress for instructions on running the tests.

Known Issues
------------
- Campaign Kit is currently dependent on Payment Stripe; we will remove this dependency in the future.
