import faker from 'faker'

describe('Create Parent Campaign', () => {
  const username = 'admin'

  before('Login to the application', () => {
    //campaignSiteUrl
    cy.visit(Cypress.env('campaignSiteURL'))
    cy.contains('Log in').click()
    cy.get('input[name=name]').type(username)
    cy.get('input[name=pass]').type(username)
    cy.get('#edit-submit').contains('Log in').click()
  });

  beforeEach(() => {
    Cypress.Cookies.preserveOnce('SESS30929caba86a28bef3e028731a47171c', 'remember_token')
  });

  it('Go to CK page', () => {
    cy.get('.toolbar-icon-campaign-kit-campaign-kit-controller').click()
  });

  it('go to Campaigns page', () => {
    //cy.pause()
    cy.get('#block-seven-content table').contains('Campaigns').click( { force: true } )
    cy.get('#block-seven-local-actions').contains(Cypress.env('campaignParentLabel')).click({ force: true })
  });

  it('create Parent Campaign', () => {
    cy.get('input[name="title[0][value]"]').type(faker.name.findName(), { force: true })
    cy.get('select[name=campaign_success_type]').select('One-time goal is met', { force: true } ).should('have.value', 'onetime')
    cy.get('input[name="short_description[0][value]"]').type(faker.lorem.sentence(), { force: true })

    // Add content to the Description field.
    cy.get('iframe.cke_wysiwyg_frame')
      .iframeLoaded()
      .then($frameWindow => {
        const win = cy.state('window');
        const ckEditor = win.CKEDITOR;
        const instances = ckEditor.instances;
        const myEditor = Object.values(instances)
          .filter(instance => instance.id === 'cke_1')[0];
        // Use CKEditor API to change the text.
        myEditor.setData('<h1>some new text</h1>');

        // Verify.
        cy.wrap($frameWindow)
          .its('document')
          .its('body')
          .invoke('text')
          .should('eq', 'some new text')
      })

    // Upload image.
    const filePath = '/CK/Images/Child.jpg'
    cy.get('input[name="files[header_image_0]"]').attachFile(filePath)
    cy.get('input[name="header_image[0][alt]"]').type('Parent', { force: true })
    cy.get('input[name="one_time_donation_goal[0][value]"]').type(1000, { force: true })
    cy.get('input[name="monthly_donation_goal[0][value]"]').type(1000, { force: true })

    // Add content to the Thank-you message field.
    cy.get('#cke_edit-thank-you-message-0-value iframe.cke_wysiwyg_frame')  // "cke_wysiwyg_frame" class is used here
      .iframeLoaded()
      .then($frameWindow => {
        const win = cy.state('window');
        const ckEditor = win.CKEDITOR;
        const instances = ckEditor.instances;
        const myEditor = Object.values(instances)
          .filter(instance => instance.id === 'cke_2')[0];
        // Use CKEditor API to change the text.
        myEditor.setData('<h1>thank-you</h1>');

        // Verify.
        cy.wrap($frameWindow)
          .its('document')
          .its('body')
          .invoke('text')
          .should('eq', 'thank-you')
      })

    cy.get('select[name=donation_frequency_allowed]').select('One-time').should('have.value', 'onetime')
    cy.contains('Save').click()

  });

});
